=== debian/changelog ===
hubzero-projfs (2.2.3-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 17:41:09 -0700

hubzero-projfs (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Sat, 02 May 2020 09:26:17 -0700

hubzero-projfs (1.2.1-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 13 Feb 2020 11:38:00 -0500
