## hubzero-projfs 2.2.6-1+deb10

=== debian/changelog ===
hubzero-projfs (2.2.6-1+deb10) unstable; urgency=low

  * remove pragmas no longer required after buffer increase

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 09 Sep 2022 10:37:19 -0700

hubzero-projfs (2.2.5-1) unstable; urgency=low

  * increase buffer size to be sure

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 09 Sep 2022 09:55:11 -0700

hubzero-projfs (2.2.4-1) unstable; urgency=low

  * check for buffer edge conditions to make newer gcc happy

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 11 Dec 2020 16:00:21 -0800

hubzero-projfs (2.2.3-1) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 17:41:09 -0700
