=== debian/control ===
Source: hubzero-projfs
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.3
Homepage: http://hubzero.org

Package: hubzero-projfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HUBzero project filesystem
 Fuse filesystem for mounting hubzero projects directories
